import { TimeAxisBase } from "./TimeAxisBase";
import { TimeAxisDisplayType } from "./TimeAxisDisplayType";
import { DependencyProperty } from "igniteui-angular-core";
import { Type, IList$1 } from "igniteui-angular-core";
import { AxisView } from "./AxisView";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
/**
 * @hidden
 */
export declare class CategoryDateTimeXAxis extends TimeAxisBase {
    static $t: Type;
    constructor();
    protected get_b4(): boolean;
    a1(): AxisView;
    gs(a: AxisView): void;
    l3: CategoryDateTimeXAxisView;
    l4: TimeAxisDisplayType;
    me: number;
    private l9;
    mb: number;
    d7(): number;
    static readonly mq: DependencyProperty;
    mf: number;
    private ma;
    mc: number;
    cr(a: Rect, b: Rect, c: AxisView): boolean;
    dj(): number;
    protected g7(a: boolean): void;
    protected l8(): number;
    private md;
    private mm;
    private mn;
    private l6;
    private l5;
    private l7;
    ml(a: Date, b: Date): void;
    protected gu(a: any, b: string, c: any, d: any): void;
    lt(): void;
    protected lr(a: Date, b: Date): number;
    protected get_b3(): boolean;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryDateTimeXAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryDateTimeXAxis;
    constructor(a: CategoryDateTimeXAxis);
    o(a: number): string;
}
